
Foreman - Bug #14071

Missing host_edit_interfaces.js in taxonomy edit page

03/07/2016 06:34 AM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1317082 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3284

  

Description

Steps to reproduce:

1) Go to 'Manage Locations'

2) Go to Edit page of any location

3) See 'Uncaught ReferenceError: update_interface_table is not defined' in browser console

JS fails to find the called function since it is defined in host_edit_interfaces.js and the file is not among the fetched sources.

Related issues:

Related to Foreman - Bug #10153: Missing JS File during host group edit Closed 04/16/2015

Related to Foreman - Bug #12931: not seeing parameters in nested locations Closed 12/23/2015

Blocks Foreman - Bug #7726: Organization Editor: Clicking the multi-select pl... Closed 09/29/2014

Associated revisions

Revision d05be6d1 - 03/08/2016 09:39 AM - Ondřej Pražák

Fixes #14071 - Using Sprockets directive to require host_edit_interfaces.js

Revision d62dff3e - 03/10/2016 11:07 AM - Ondřej Pražák

Fixes #14071 - Using Sprockets directive to require host_edit_interfaces.js

(cherry picked from commit d05be6d1b8b17e679fbea54b07b06425dc2622ed)

History

#1 - 03/07/2016 06:35 AM - Ondřej Pražák

- Related to Bug #10153: Missing JS File during host group edit added

#2 - 03/07/2016 06:36 AM - Ondřej Pražák

- Blocks Bug #7726: Organization Editor: Clicking the multi-select plus icon adds items that were filtered out added

#3 - 03/07/2016 06:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3284 added

#4 - 03/08/2016 07:29 AM - Dominic Cleal

- Related to Bug #12931: not seeing parameters in nested locations added

#5 - 03/08/2016 07:30 AM - Dominic Cleal

- Category set to Web Interface

- translation missing: en.field_release set to 71
#6 - 03/08/2016 10:02 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d05be6d1b8b17e679fbea54b07b06425dc2622ed.

#7 - 03/11/2016 05:33 PM - Eric Helms

- Bugzilla link set to 1317082
